## rock-master-20.06-ruby-bundles-common-models 0.20200511

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(FILES ./common_models.gemspec DESTINATION share/rock/bundles/common_models/.)
install(FILES ./manifest.xml DESTINATION share/rock/bundles/common_models/.)
install(DIRECTORY ./config DESTINATION share/rock/bundles/common_models/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./config/robots DESTINATION share/rock/bundles/common_models/./config FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./config/robots/default.rb DESTINATION share/rock/bundles/common_models/./config/robots)
install(FILES ./config/init.rb DESTINATION share/rock/bundles/common_models/./config)
install(FILES ./config/app.yml DESTINATION share/rock/bundles/common_models/./config)
install(FILES ./CMakeLists.txt DESTINATION share/rock/bundles/common_models/.)
install(DIRECTORY ./test DESTINATION share/rock/bundles/common_models/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./test/devices DESTINATION share/rock/bundles/common_models/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./test/devices/gazebo DESTINATION share/rock/bundles/common_models/./test/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/devices/gazebo/test_link.rb DESTINATION share/rock/bundles/common_models/./test/devices/gazebo)
install(FILES ./test/devices/gazebo/test_entity.rb DESTINATION share/rock/bundles/common_models/./test/devices/gazebo)
install(FILES ./test/devices/gazebo/test_ray.rb DESTINATION share/rock/bundles/common_models/./test/devices/gazebo)
install(FILES ./test/devices/gazebo/test_root_model.rb DESTINATION share/rock/bundles/common_models/./test/devices/gazebo)
install(FILES ./test/devices/gazebo/test_thruster.rb DESTINATION share/rock/bundles/common_models/./test/devices/gazebo)
install(FILES ./test/devices/suite_bus.rb DESTINATION share/rock/bundles/common_models/./test/devices)
install(FILES ./test/devices/suite_input.rb DESTINATION share/rock/bundles/common_models/./test/devices)
install(DIRECTORY ./test/devices/input DESTINATION share/rock/bundles/common_models/./test/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./test/devices/input/graupner DESTINATION share/rock/bundles/common_models/./test/devices/input FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/devices/input/graupner/test_mc20.rb DESTINATION share/rock/bundles/common_models/./test/devices/input/graupner)
install(FILES ./test/devices/input/suite_graupner.rb DESTINATION share/rock/bundles/common_models/./test/devices/input)
install(DIRECTORY ./test/devices/gps DESTINATION share/rock/bundles/common_models/./test/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/devices/gps/test_generic.rb DESTINATION share/rock/bundles/common_models/./test/devices/gps)
install(FILES ./test/devices/gps/test_mb500.rb DESTINATION share/rock/bundles/common_models/./test/devices/gps)
install(FILES ./test/devices/suite_gps.rb DESTINATION share/rock/bundles/common_models/./test/devices)
install(DIRECTORY ./test/devices/bus DESTINATION share/rock/bundles/common_models/./test/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/devices/bus/test_can.rb DESTINATION share/rock/bundles/common_models/./test/devices/bus)
install(FILES ./test/devices/bus/test_raw_io.rb DESTINATION share/rock/bundles/common_models/./test/devices/bus)
install(FILES ./test/devices/suite_gazebo.rb DESTINATION share/rock/bundles/common_models/./test/devices)
install(FILES ./test/helpers.rb DESTINATION share/rock/bundles/common_models/./test)
install(DIRECTORY ./test/orogen DESTINATION share/rock/bundles/common_models/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/orogen/test_gps.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(FILES ./test/orogen/test_canbus.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(FILES ./test/orogen/test_rock_gazebo.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(FILES ./test/orogen/test_iodrivers_base.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(FILES ./test/orogen/test_envire.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(FILES ./test/orogen/test_trajectory_follower.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(FILES ./test/orogen/test_taskmon.rb DESTINATION share/rock/bundles/common_models/./test/orogen)
install(DIRECTORY ./test/compositions DESTINATION share/rock/bundles/common_models/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/compositions/test_constant_generator.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_trajectory_follower_control_loop.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_wait_for_position.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_maintain_pose.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_reach_pose.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_pose_predicate.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_acquire.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(FILES ./test/compositions/test_control_loop.rb DESTINATION share/rock/bundles/common_models/./test/compositions)
install(DIRECTORY ./test/services DESTINATION share/rock/bundles/common_models/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/services/test_control_loop.rb DESTINATION share/rock/bundles/common_models/./test/services)
install(DIRECTORY ./models DESTINATION share/rock/bundles/common_models/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/blueprints DESTINATION share/rock/bundles/common_models/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/vision.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(FILES ./models/blueprints/timestamping.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(FILES ./models/blueprints/control.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(FILES ./models/blueprints/sensors.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(FILES ./models/blueprints/pose.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(FILES ./models/blueprints/constant_generator.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(DIRECTORY ./models/blueprints/map_gen DESTINATION share/rock/bundles/common_models/./models/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/map_gen/map_generator_srv.rb DESTINATION share/rock/bundles/common_models/./models/blueprints/map_gen)
install(FILES ./models/blueprints/map_gen/pipeline_base.rb DESTINATION share/rock/bundles/common_models/./models/blueprints/map_gen)
install(FILES ./models/blueprints/devices.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(DIRECTORY ./models/blueprints/backwards DESTINATION share/rock/bundles/common_models/./models/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/backwards/control.rb DESTINATION share/rock/bundles/common_models/./models/blueprints/backwards)
install(FILES ./models/blueprints/backwards/sensors.rb DESTINATION share/rock/bundles/common_models/./models/blueprints/backwards)
install(FILES ./models/blueprints/backwards/pose.rb DESTINATION share/rock/bundles/common_models/./models/blueprints/backwards)
install(FILES ./models/blueprints/backwards/constant_generator.rb DESTINATION share/rock/bundles/common_models/./models/blueprints/backwards)
install(FILES ./models/blueprints/map_gen.rb DESTINATION share/rock/bundles/common_models/./models/blueprints)
install(FILES ./models/compositions.rb DESTINATION share/rock/bundles/common_models/./models)
install(DIRECTORY ./models/devices DESTINATION share/rock/bundles/common_models/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/devices/gazebo DESTINATION share/rock/bundles/common_models/./models/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/devices/gazebo/underwater.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/root_model.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/model.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/ray.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/thruster.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/imu.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/entity.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/link.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/gps.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/camera.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(FILES ./models/devices/gazebo/joint.rb DESTINATION share/rock/bundles/common_models/./models/devices/gazebo)
install(DIRECTORY ./models/devices/sonar DESTINATION share/rock/bundles/common_models/./models/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/devices/sonar/tritech.rb DESTINATION share/rock/bundles/common_models/./models/devices/sonar)
install(DIRECTORY ./models/devices/sonar/tritech DESTINATION share/rock/bundles/common_models/./models/devices/sonar FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/devices/sonar/tritech/micron.rb DESTINATION share/rock/bundles/common_models/./models/devices/sonar/tritech)
install(FILES ./models/devices/input.rb DESTINATION share/rock/bundles/common_models/./models/devices)
install(FILES ./models/devices/bus.rb DESTINATION share/rock/bundles/common_models/./models/devices)
install(DIRECTORY ./models/devices/input DESTINATION share/rock/bundles/common_models/./models/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/devices/input/graupner DESTINATION share/rock/bundles/common_models/./models/devices/input FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/devices/input/graupner/mc20.rb DESTINATION share/rock/bundles/common_models/./models/devices/input/graupner)
install(FILES ./models/devices/input/joystick.rb DESTINATION share/rock/bundles/common_models/./models/devices/input)
install(FILES ./models/devices/input/graupner.rb DESTINATION share/rock/bundles/common_models/./models/devices/input)
install(FILES ./models/devices/gazebo.rb DESTINATION share/rock/bundles/common_models/./models/devices)
install(DIRECTORY ./models/devices/gps DESTINATION share/rock/bundles/common_models/./models/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/devices/gps/mb500.rb DESTINATION share/rock/bundles/common_models/./models/devices/gps)
install(FILES ./models/devices/gps/generic.rb DESTINATION share/rock/bundles/common_models/./models/devices/gps)
install(DIRECTORY ./models/devices/bus DESTINATION share/rock/bundles/common_models/./models/devices FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/devices/bus/can.rb DESTINATION share/rock/bundles/common_models/./models/devices/bus)
install(FILES ./models/devices/bus/raw_io.rb DESTINATION share/rock/bundles/common_models/./models/devices/bus)
install(FILES ./models/devices/gps.rb DESTINATION share/rock/bundles/common_models/./models/devices)

=== debian/changelog ===
rock-master-20.06-ruby-bundles-common-models (0.20200511-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/bundles-common_models.git
  * branch: refs/heads/master
  * commit: dc18e0b2e329fbcca4d79a0ea59bc91e4f1afe23
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 17 Sep 2020 10:42:58 +0200

=== debian/control ===
Source: rock-master-20.06-ruby-bundles-common-models
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.06-drivers-orogen-transformer, rock-master-20.06-ruby-tools-syskit
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-ruby-bundles-common-models
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.06-drivers-orogen-transformer, rock-master-20.06-ruby-tools-syskit, ruby
Description: Root bundle for Rock software
 Root bundle for Rock software

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/bash

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
DEB_BUILD_OPTIONS  = nocheck
# To disable stripping
#DEB_BUILD_OPTIONS += nostrip
export DEB_BUILD_OPTIONS

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['ruby_version']")
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master2006_install_dir = /opt/rock/master-20.06
env_setup =  PATH=$(master2006_install_dir)/bin:$$PATH
env_setup += HOME=/home/ 
env_setup += RUBYLIB=$(master2006_install_dir)/$(rockruby_libdir):$(master2006_install_dir)/$(rockruby_archdir):$(master2006_install_dir)/lib/ruby/vendor_ruby/standard:$(master2006_install_dir)/lib/ruby/vendor_ruby/core:$(master2006_install_dir)/lib/ruby/vendor_ruby:$$RUBYLIB
env_setup += PKG_CONFIG_PATH=$(master2006_install_dir)/lib/pkgconfig:$(master2006_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$$PKG_CONFIG_PATH
env_setup += Rock_DIR=$(master2006_install_dir)/share/rock/cmake:$$Rock_DIR
env_setup += LD_LIBRARY_PATH=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):$$LD_LIBRARY_PATH
env_setup += CMAKE_PREFIX_PATH=$(master2006_install_dir):$$CMAKE_PREFIX_PATH
env_setup += OROGEN_PLUGIN_PATH=$(master2006_install_dir)/share/orogen/plugins:$$OROGEN_PLUGIN_PATH
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):
rock_base_install_dir=/opt/rock
rock_release_install_dir=/opt/rock/master-20.06
rock_install_dir=/opt/rock/master-20.06/rock-master-20.06-ruby-bundles-common-models

# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk

extra_lib_dir=$(shell pwd)/debian/rock-master-20.06-ruby-bundles-common-models$(rock_install_dir)/lib
apaka_libdeps_dirs=`find $(rock_release_install_dir)/* -type d -name lib -exec echo -n ":{}" \;`
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (note that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs):${apaka_libdeps_dirs}

debian_install_prefix=$(DEB_DESTDIR)$(rock_install_dir)
rock_doc_install_dir=$(rock_install_dir)/share
SOURCE_ENVSH=for file in `find $(rock_release_install_dir)/*/env.sh ! -empty -type f -name env.sh`; do source "$$file"; done;

pre-build::
	echo "Running pre-build"
	echo "Ruby stats"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"
	# Source the available packages
	echo "Sourcing release packages' env.sh"

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
CMAKE = $(SOURCE_ENVSH) $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
include /usr/share/cdbs/1/class/cmake.mk

# END IMPORTER
# ##########################################
#


###########################################
# DOCS


# END DOCS
###########################################

define export_variable
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1={}:\$${$1}\nexport $1\n" >> $(debian_install_prefix)/env.sh
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.sh
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1 {}\n" >> $(debian_install_prefix)/env.yml.append
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.yml.append
endef

#install/rock-master-20.06-ruby-bundles-common-models::
#	echo "Running post-install for package rock-master-20.06-ruby-bundles-common-models"

# see https://github.com/Debian/cdbs/blob/master/1/rules/debhelper.mk.in for
# target
common-binary-fixup-arch::
	echo "Apaka: doing all the custom adaptions, once all patches have been applied"
	echo "Installing env.yml (and env.yml.append) in $(rock_install_dir)"
	$(if $(wildcard $(DEB_SRCDIR)/env.yml),-cp "$(DEB_SRCDIR)/env.yml" "$(DEB_DESTDIR)$(rock_install_dir)")
	$(if $(wildcard $(DEB_SRCDIR)/env.yml.append),-cp "$(DEB_SRCDIR)/env.yml.append" "$(DEB_DESTDIR)$(rock_install_dir)")
	echo "Updating env.sh in $(rock_install_dir)"
	$(if $(wildcard $(DEB_SRCDIR)/env.sh),-cp "$(DEB_SRCDIR)/env.sh" "$(debian_install_prefix)")
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH=$(rock_install_dir)/bin:\$${PATH}\nexport PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH $(rock_install_dir)/bin\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH=$(rock_install_dir):\$${CMAKE_PREFIX_PATH}\nexport CMAKE_PREFIX_PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH $(rock_install_dir)\n" >> $(debian_install_prefix)/env.yml.append)
	$(call export_variable,CMAKE_PREFIX_PATH,\.cmake)
	$(call export_variable,PKG_CONFIG_PATH,\.pc)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
